Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.portal.ejb
Interface PortalDefinitionHome

public interface PortalDefinitionHome
extends BaseHome

The EJB home interface for the PortalDefinition.

Method Summary
`PortalDefinition` | `create(PortalDefinitionPK pk, java.lang.String aContentURL)` Create an instance of the PortalDefinition.
`java.util.Enumeration` | `findAll()` Return all portal definitions.
`PortalDefinition` | `findByPrimaryKey(PortalDefinitionPK pk)` Find by primary key.

Methods inherited from interface javax.ejb.EJBHome
`getEJBMetaData, remove, remove`

Method Detail

### create

    public PortalDefinition create(PortalDefinitionPK pk,
                                   java.lang.String aContentURL)
                            throws javax.ejb.CreateException,
                                   java.rmi.RemoteException

  Create an instance of the PortalDefinition.
  Parameters:
    `pk` - the primary key.
    `aContentURL` - the content url.
  Returns:
    `PortalDefinition` the created object.
  Throws:
    `CreateException` - error on create.
    `RemoteException` - container error.

### findByPrimaryKey

    public PortalDefinition findByPrimaryKey(PortalDefinitionPK pk)
                                      throws javax.ejb.FinderException,
                                             java.rmi.RemoteException

  Find by primary key.
  Parameters:
    `pk` - the primary key.
  Returns:
    `PortalDefinition` the instance that matches the pk.
  Throws:
    `FinderException` - error on query.
    `RemoteException` - container error.

### findAll

    public java.util.Enumeration findAll()
                                  throws javax.ejb.FinderException,
                                         java.rmi.RemoteException

  Return all portal definitions.
  Returns:
    `Enumeration` all the defined portal definitions.
  Throws:
    `FinderException` - error on query.
    `RemoteException` - container error.

Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 BEA Systems, Inc. All Rights Reserved